aboutsummaryrefslogtreecommitdiffstats
path: root/jjb/common/include-agl-set-flutter-demo-image.sh
diff options
context:
space:
mode:
authorJan-Simon Moeller <jsmoeller@linuxfoundation.org>2022-11-21 17:44:45 +0100
committerJan-Simon Moeller <jsmoeller@linuxfoundation.org>2022-11-21 17:44:45 +0100
commit2b1aa832ed1baf4f835bc566679e85570452b3ef (patch)
treea14de55baa505f5374d6a9f4299122c2fe556b1a /jjb/common/include-agl-set-flutter-demo-image.sh
parent13ceb342ccae029a056ddceee90aaadd0d79cadf (diff)
Add flutter and iceg images for qemux86-64
Signed-off-by: Jan-Simon Moeller <jsmoeller@linuxfoundation.org> Change-Id: Ia89f10a3f6e4bdfa2b6b74af14def7cf0d1818a2
Diffstat (limited to 'jjb/common/include-agl-set-flutter-demo-image.sh')
-rw-r--r--jjb/common/include-agl-set-flutter-demo-image.sh26
1 files changed, 26 insertions, 0 deletions
diff --git a/jjb/common/include-agl-set-flutter-demo-image.sh b/jjb/common/include-agl-set-flutter-demo-image.sh
new file mode 100644
index 00000000..4b82a502
--- /dev/null
+++ b/jjb/common/include-agl-set-flutter-demo-image.sh
@@ -0,0 +1,26 @@
+#!/bin/bash
+# (c) 2016 Jan-Simon Moeller dl9pf(at)gmx.de
+# License GPLv2
+#
+# debugging purposes
+set -e
+
+################################################################################
+## Header
+################################################################################
+
+# only run on master, jellyfish and icefish
+( echo "marlin" | grep -q $TARGETBRANCH ) || exit 0
+
+export TARGETFEATURES="agl-demo agl-devel"
+export TARGETQA=""
+export TARGETIMAGE="agl-ivi-demo-platform-flutter"
+
+eval TARGETIMAGE="$TARGETIMAGE"
+eval TARGETIMAGEnogfx="$TARGETIMAGE"
+
+#if $DEBUG; then
+set | grep ^TARGET || true
+set | grep ^GERRIT || true
+set | grep ^MACHINE || true
+#fi